Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.unresolve/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.unresolve/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.unresolve/{typedId}' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend", "data": { … }, "status": 0 } }
Request
Edits the comment specified as the path param. Replaces the comment with the text provided in the request body.
With each edit, the version number is incremented by 1. The comment metadata includes timestamps for creation and last update, along with the author of each change. If a reply is added to a resolved thread, the thread automatically changes to an unresolved state.
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.edit/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.edit/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.edit/12.CMNT \
-H 'Content-Type: application/json' \
-d '{
"data": {
"body": "an edited comment"
}
}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-6cbbff95d-th6wz", "data": [ … ], "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Operations
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments